Upstream information

CVE-2019-11043 at MITRE

Description

In PHP versions 7.1.x below 7.1.33, 7.2.x below 7.2.24 and 7.3.x below 7.3.11 in certain configurations of FPM setup it is possible to cause FPM module to write past allocated buffers into the space reserved for FCGI protocol data, thus opening the possibility of remote code execution.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  SUSE
Base Score 8.1
Vector AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity High
Privileges Required None
User Interaction None
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
CVSSv3 Version 3.0
SUSE Bugzilla entry: 1154999 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • php7 >= 7.2.5-4.46.1
  • php7-embed >= 7.2.5-4.46.1
  • php7-readline >= 7.2.5-4.46.1
  • php7-sodium >= 7.2.5-4.46.1
  • php7-tidy >= 7.2.5-4.46.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-2019-2819
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 SP1
  • php7 >= 7.2.5-4.46.1
  • php7-embed >= 7.2.5-4.46.1
  • php7-readline >= 7.2.5-4.46.1
  • php7-sodium >= 7.2.5-4.46.1
  • php7-tidy >= 7.2.5-4.46.1
Patchnames:
SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-2819
SUSE Linux Enterprise Module for Web Scripting 12
  • apache2-mod_php7 >= 7.0.7-50.88.1
  • apache2-mod_php72 >= 7.2.5-1.29.1
  • php7 >= 7.0.7-50.88.1
  • php7-bcmath >= 7.0.7-50.88.1
  • php7-bz2 >= 7.0.7-50.88.1
  • php7-calendar >= 7.0.7-50.88.1
  • php7-ctype >= 7.0.7-50.88.1
  • php7-curl >= 7.0.7-50.88.1
  • php7-dba >= 7.0.7-50.88.1
  • php7-dom >= 7.0.7-50.88.1
  • php7-enchant >= 7.0.7-50.88.1
  • php7-exif >= 7.0.7-50.88.1
  • php7-fastcgi >= 7.0.7-50.88.1
  • php7-fileinfo >= 7.0.7-50.88.1
  • php7-fpm >= 7.0.7-50.88.1
  • php7-ftp >= 7.0.7-50.88.1
  • php7-gd >= 7.0.7-50.88.1
  • php7-gettext >= 7.0.7-50.88.1
  • php7-gmp >= 7.0.7-50.88.1
  • php7-iconv >= 7.0.7-50.88.1
  • php7-imap >= 7.0.7-50.88.1
  • php7-intl >= 7.0.7-50.88.1
  • php7-json >= 7.0.7-50.88.1
  • php7-ldap >= 7.0.7-50.88.1
  • php7-mbstring >= 7.0.7-50.88.1
  • php7-mcrypt >= 7.0.7-50.88.1
  • php7-mysql >= 7.0.7-50.88.1
  • php7-odbc >= 7.0.7-50.88.1
  • php7-opcache >= 7.0.7-50.88.1
  • php7-openssl >= 7.0.7-50.88.1
  • php7-pcntl >= 7.0.7-50.88.1
  • php7-pdo >= 7.0.7-50.88.1
  • php7-pear >= 7.0.7-50.88.1
  • php7-pear-Archive_Tar >= 7.0.7-50.88.1
  • php7-pgsql >= 7.0.7-50.88.1
  • php7-phar >= 7.0.7-50.88.1
  • php7-posix >= 7.0.7-50.88.1
  • php7-pspell >= 7.0.7-50.88.1
  • php7-shmop >= 7.0.7-50.88.1
  • php7-snmp >= 7.0.7-50.88.1
  • php7-soap >= 7.0.7-50.88.1
  • php7-sockets >= 7.0.7-50.88.1
  • php7-sqlite >= 7.0.7-50.88.1
  • php7-sysvmsg >= 7.0.7-50.88.1
  • php7-sysvsem >= 7.0.7-50.88.1
  • php7-sysvshm >= 7.0.7-50.88.1
  • php7-tokenizer >= 7.0.7-50.88.1
  • php7-wddx >= 7.0.7-50.88.1
  • php7-xmlreader >= 7.0.7-50.88.1
  • php7-xmlrpc >= 7.0.7-50.88.1
  • php7-xmlwriter >= 7.0.7-50.88.1
  • php7-xsl >= 7.0.7-50.88.1
  • php7-zip >= 7.0.7-50.88.1
  • php7-zlib >= 7.0.7-50.88.1
  • php72 >= 7.2.5-1.29.1
  • php72-bcmath >= 7.2.5-1.29.1
  • php72-bz2 >= 7.2.5-1.29.1
  • php72-calendar >= 7.2.5-1.29.1
  • php72-ctype >= 7.2.5-1.29.1
  • php72-curl >= 7.2.5-1.29.1
  • php72-dba >= 7.2.5-1.29.1
  • php72-dom >= 7.2.5-1.29.1
  • php72-enchant >= 7.2.5-1.29.1
  • php72-exif >= 7.2.5-1.29.1
  • php72-fastcgi >= 7.2.5-1.29.1
  • php72-fileinfo >= 7.2.5-1.29.1
  • php72-fpm >= 7.2.5-1.29.1
  • php72-ftp >= 7.2.5-1.29.1
  • php72-gd >= 7.2.5-1.29.1
  • php72-gettext >= 7.2.5-1.29.1
  • php72-gmp >= 7.2.5-1.29.1
  • php72-iconv >= 7.2.5-1.29.1
  • php72-imap >= 7.2.5-1.29.1
  • php72-intl >= 7.2.5-1.29.1
  • php72-json >= 7.2.5-1.29.1
  • php72-ldap >= 7.2.5-1.29.1
  • php72-mbstring >= 7.2.5-1.29.1
  • php72-mysql >= 7.2.5-1.29.1
  • php72-odbc >= 7.2.5-1.29.1
  • php72-opcache >= 7.2.5-1.29.1
  • php72-openssl >= 7.2.5-1.29.1
  • php72-pcntl >= 7.2.5-1.29.1
  • php72-pdo >= 7.2.5-1.29.1
  • php72-pear >= 7.2.5-1.29.1
  • php72-pear-Archive_Tar >= 7.2.5-1.29.1
  • php72-pgsql >= 7.2.5-1.29.1
  • php72-phar >= 7.2.5-1.29.1
  • php72-posix >= 7.2.5-1.29.1
  • php72-pspell >= 7.2.5-1.29.1
  • php72-readline >= 7.2.5-1.29.1
  • php72-shmop >= 7.2.5-1.29.1
  • php72-snmp >= 7.2.5-1.29.1
  • php72-soap >= 7.2.5-1.29.1
  • php72-sockets >= 7.2.5-1.29.1
  • php72-sodium >= 7.2.5-1.29.1
  • php72-sqlite >= 7.2.5-1.29.1
  • php72-sysvmsg >= 7.2.5-1.29.1
  • php72-sysvsem >= 7.2.5-1.29.1
  • php72-sysvshm >= 7.2.5-1.29.1
  • php72-tidy >= 7.2.5-1.29.1
  • php72-tokenizer >= 7.2.5-1.29.1
  • php72-wddx >= 7.2.5-1.29.1
  • php72-xmlreader >= 7.2.5-1.29.1
  • php72-xmlrpc >= 7.2.5-1.29.1
  • php72-xmlwriter >= 7.2.5-1.29.1
  • php72-xsl >= 7.2.5-1.29.1
  • php72-zip >= 7.2.5-1.29.1
  • php72-zlib >= 7.2.5-1.29.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-12-2019-2809
SUSE-SLE-Module-Web-Scripting-12-2019-2909
SUSE Linux Enterprise Module for Web Scripting 15
  • apache2-mod_php7 >= 7.2.5-4.46.1
  • php7 >= 7.2.5-4.46.1
  • php7-bcmath >= 7.2.5-4.46.1
  • php7-bz2 >= 7.2.5-4.46.1
  • php7-calendar >= 7.2.5-4.46.1
  • php7-ctype >= 7.2.5-4.46.1
  • php7-curl >= 7.2.5-4.46.1
  • php7-dba >= 7.2.5-4.46.1
  • php7-devel >= 7.2.5-4.46.1
  • php7-dom >= 7.2.5-4.46.1
  • php7-enchant >= 7.2.5-4.46.1
  • php7-exif >= 7.2.5-4.46.1
  • php7-fastcgi >= 7.2.5-4.46.1
  • php7-fileinfo >= 7.2.5-4.46.1
  • php7-fpm >= 7.2.5-4.46.1
  • php7-ftp >= 7.2.5-4.46.1
  • php7-gd >= 7.2.5-4.46.1
  • php7-gettext >= 7.2.5-4.46.1
  • php7-gmp >= 7.2.5-4.46.1
  • php7-iconv >= 7.2.5-4.46.1
  • php7-intl >= 7.2.5-4.46.1
  • php7-json >= 7.2.5-4.46.1
  • php7-ldap >= 7.2.5-4.46.1
  • php7-mbstring >= 7.2.5-4.46.1
  • php7-mysql >= 7.2.5-4.46.1
  • php7-odbc >= 7.2.5-4.46.1
  • php7-opcache >= 7.2.5-4.46.1
  • php7-openssl >= 7.2.5-4.46.1
  • php7-pcntl >= 7.2.5-4.46.1
  • php7-pdo >= 7.2.5-4.46.1
  • php7-pear >= 7.2.5-4.46.1
  • php7-pear-Archive_Tar >= 7.2.5-4.46.1
  • php7-pgsql >= 7.2.5-4.46.1
  • php7-phar >= 7.2.5-4.46.1
  • php7-posix >= 7.2.5-4.46.1
  • php7-shmop >= 7.2.5-4.46.1
  • php7-snmp >= 7.2.5-4.46.1
  • php7-soap >= 7.2.5-4.46.1
  • php7-sockets >= 7.2.5-4.46.1
  • php7-sodium >= 7.2.5-4.46.1
  • php7-sqlite >= 7.2.5-4.46.1
  • php7-sysvmsg >= 7.2.5-4.46.1
  • php7-sysvsem >= 7.2.5-4.46.1
  • php7-sysvshm >= 7.2.5-4.46.1
  • php7-tokenizer >= 7.2.5-4.46.1
  • php7-wddx >= 7.2.5-4.46.1
  • php7-xmlreader >= 7.2.5-4.46.1
  • php7-xmlrpc >= 7.2.5-4.46.1
  • php7-xmlwriter >= 7.2.5-4.46.1
  • php7-xsl >= 7.2.5-4.46.1
  • php7-zip >= 7.2.5-4.46.1
  • php7-zlib >= 7.2.5-4.46.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-2019-2819
SUSE Linux Enterprise Module for Web Scripting 15 SP1
  • apache2-mod_php7 >= 7.2.5-4.46.1
  • php7 >= 7.2.5-4.46.1
  • php7-bcmath >= 7.2.5-4.46.1
  • php7-bz2 >= 7.2.5-4.46.1
  • php7-calendar >= 7.2.5-4.46.1
  • php7-ctype >= 7.2.5-4.46.1
  • php7-curl >= 7.2.5-4.46.1
  • php7-dba >= 7.2.5-4.46.1
  • php7-devel >= 7.2.5-4.46.1
  • php7-dom >= 7.2.5-4.46.1
  • php7-enchant >= 7.2.5-4.46.1
  • php7-exif >= 7.2.5-4.46.1
  • php7-fastcgi >= 7.2.5-4.46.1
  • php7-fileinfo >= 7.2.5-4.46.1
  • php7-fpm >= 7.2.5-4.46.1
  • php7-ftp >= 7.2.5-4.46.1
  • php7-gd >= 7.2.5-4.46.1
  • php7-gettext >= 7.2.5-4.46.1
  • php7-gmp >= 7.2.5-4.46.1
  • php7-iconv >= 7.2.5-4.46.1
  • php7-intl >= 7.2.5-4.46.1
  • php7-json >= 7.2.5-4.46.1
  • php7-ldap >= 7.2.5-4.46.1
  • php7-mbstring >= 7.2.5-4.46.1
  • php7-mysql >= 7.2.5-4.46.1
  • php7-odbc >= 7.2.5-4.46.1
  • php7-opcache >= 7.2.5-4.46.1
  • php7-openssl >= 7.2.5-4.46.1
  • php7-pcntl >= 7.2.5-4.46.1
  • php7-pdo >= 7.2.5-4.46.1
  • php7-pear >= 7.2.5-4.46.1
  • php7-pear-Archive_Tar >= 7.2.5-4.46.1
  • php7-pgsql >= 7.2.5-4.46.1
  • php7-phar >= 7.2.5-4.46.1
  • php7-posix >= 7.2.5-4.46.1
  • php7-shmop >= 7.2.5-4.46.1
  • php7-snmp >= 7.2.5-4.46.1
  • php7-soap >= 7.2.5-4.46.1
  • php7-sockets >= 7.2.5-4.46.1
  • php7-sqlite >= 7.2.5-4.46.1
  • php7-sysvmsg >= 7.2.5-4.46.1
  • php7-sysvsem >= 7.2.5-4.46.1
  • php7-sysvshm >= 7.2.5-4.46.1
  • php7-tokenizer >= 7.2.5-4.46.1
  • php7-wddx >= 7.2.5-4.46.1
  • php7-xmlreader >= 7.2.5-4.46.1
  • php7-xmlrpc >= 7.2.5-4.46.1
  • php7-xmlwriter >= 7.2.5-4.46.1
  • php7-xsl >= 7.2.5-4.46.1
  • php7-zip >= 7.2.5-4.46.1
  • php7-zlib >= 7.2.5-4.46.1
Patchnames:
SUSE-SLE-Module-Web-Scripting-15-SP1-2019-2819
SUSE Linux Enterprise Module for additional PackageHub packages 15
  • php7 >= 7.2.5-4.46.1
  • php7-embed >= 7.2.5-4.46.1
Patchnames:
SUSE-SLE-Module-Packagehub-Subpackages-15-2019-2819
SUSE Linux Enterprise Software Development Kit 12 SP4
  • php7 >= 7.0.7-50.88.1
  • php7-devel >= 7.0.7-50.88.1
  • php72 >= 7.2.5-1.29.1
  • php72-devel >= 7.2.5-1.29.1
Patchnames:
SUSE-SLE-SDK-12-SP4-2019-2809
SUSE-SLE-SDK-12-SP4-2019-2909
SUSE Linux Enterprise Software Development Kit 12 SP5
  • php7 >= 7.0.7-50.88.1
  • php7-devel >= 7.0.7-50.88.1
  • php72 >= 7.2.5-1.29.1
  • php72-devel >= 7.2.5-1.29.1
Patchnames:
SUSE-SLE-SDK-12-SP5-2019-2809
SUSE-SLE-SDK-12-SP5-2019-2909
openSUSE Leap 15.0
  • apache2-mod_php7 >= 7.2.5-lp150.2.29.2
  • apache2-mod_php7-debuginfo >= 7.2.5-lp150.2.29.2
  • php7 >= 7.2.5-lp150.2.29.2
  • php7-bcmath >= 7.2.5-lp150.2.29.2
  • php7-bcmath-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-bz2 >= 7.2.5-lp150.2.29.2
  • php7-bz2-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-calendar >= 7.2.5-lp150.2.29.2
  • php7-calendar-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-ctype >= 7.2.5-lp150.2.29.2
  • php7-ctype-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-curl >= 7.2.5-lp150.2.29.2
  • php7-curl-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-dba >= 7.2.5-lp150.2.29.2
  • php7-dba-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-debugsource >= 7.2.5-lp150.2.29.2
  • php7-devel >= 7.2.5-lp150.2.29.2
  • php7-dom >= 7.2.5-lp150.2.29.2
  • php7-dom-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-embed >= 7.2.5-lp150.2.29.2
  • php7-embed-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-enchant >= 7.2.5-lp150.2.29.2
  • php7-enchant-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-exif >= 7.2.5-lp150.2.29.2
  • php7-exif-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-fastcgi >= 7.2.5-lp150.2.29.2
  • php7-fastcgi-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-fileinfo >= 7.2.5-lp150.2.29.2
  • php7-fileinfo-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-firebird >= 7.2.5-lp150.2.29.2
  • php7-firebird-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-fpm >= 7.2.5-lp150.2.29.2
  • php7-fpm-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-ftp >= 7.2.5-lp150.2.29.2
  • php7-ftp-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-gd >= 7.2.5-lp150.2.29.2
  • php7-gd-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-gettext >= 7.2.5-lp150.2.29.2
  • php7-gettext-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-gmp >= 7.2.5-lp150.2.29.2
  • php7-gmp-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-iconv >= 7.2.5-lp150.2.29.2
  • php7-iconv-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-intl >= 7.2.5-lp150.2.29.2
  • php7-intl-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-json >= 7.2.5-lp150.2.29.2
  • php7-json-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-ldap >= 7.2.5-lp150.2.29.2
  • php7-ldap-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-mbstring >= 7.2.5-lp150.2.29.2
  • php7-mbstring-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-mysql >= 7.2.5-lp150.2.29.2
  • php7-mysql-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-odbc >= 7.2.5-lp150.2.29.2
  • php7-odbc-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-opcache >= 7.2.5-lp150.2.29.2
  • php7-opcache-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-openssl >= 7.2.5-lp150.2.29.2
  • php7-openssl-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-pcntl >= 7.2.5-lp150.2.29.2
  • php7-pcntl-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-pdo >= 7.2.5-lp150.2.29.2
  • php7-pdo-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-pear >= 7.2.5-lp150.2.29.2
  • php7-pear-Archive_Tar >= 7.2.5-lp150.2.29.2
  • php7-pgsql >= 7.2.5-lp150.2.29.2
  • php7-pgsql-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-phar >= 7.2.5-lp150.2.29.2
  • php7-phar-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-posix >= 7.2.5-lp150.2.29.2
  • php7-posix-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-readline >= 7.2.5-lp150.2.29.2
  • php7-readline-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-shmop >= 7.2.5-lp150.2.29.2
  • php7-shmop-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-snmp >= 7.2.5-lp150.2.29.2
  • php7-snmp-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-soap >= 7.2.5-lp150.2.29.2
  • php7-soap-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-sockets >= 7.2.5-lp150.2.29.2
  • php7-sockets-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-sodium >= 7.2.5-lp150.2.29.2
  • php7-sodium-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-sqlite >= 7.2.5-lp150.2.29.2
  • php7-sqlite-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-sysvmsg >= 7.2.5-lp150.2.29.2
  • php7-sysvmsg-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-sysvsem >= 7.2.5-lp150.2.29.2
  • php7-sysvsem-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-sysvshm >= 7.2.5-lp150.2.29.2
  • php7-sysvshm-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-test >= 7.2.5-lp150.2.29.2
  • php7-tidy >= 7.2.5-lp150.2.29.2
  • php7-tidy-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-tokenizer >= 7.2.5-lp150.2.29.2
  • php7-tokenizer-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-wddx >= 7.2.5-lp150.2.29.2
  • php7-wddx-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-xmlreader >= 7.2.5-lp150.2.29.2
  • php7-xmlreader-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-xmlrpc >= 7.2.5-lp150.2.29.2
  • php7-xmlrpc-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-xmlwriter >= 7.2.5-lp150.2.29.2
  • php7-xmlwriter-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-xsl >= 7.2.5-lp150.2.29.2
  • php7-xsl-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-zip >= 7.2.5-lp150.2.29.2
  • php7-zip-debuginfo >= 7.2.5-lp150.2.29.2
  • php7-zlib >= 7.2.5-lp150.2.29.2
  • php7-zlib-debuginfo >= 7.2.5-lp150.2.29.2
Patchnames:
openSUSE-2019-2457
openSUSE Leap 15.1
  • apache2-mod_php7 >= 7.2.5-lp151.6.13.1
  • apache2-mod_php7-debuginfo >= 7.2.5-lp151.6.13.1
  • php7 >= 7.2.5-lp151.6.13.1
  • php7-bcmath >= 7.2.5-lp151.6.13.1
  • php7-bcmath-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-bz2 >= 7.2.5-lp151.6.13.1
  • php7-bz2-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-calendar >= 7.2.5-lp151.6.13.1
  • php7-calendar-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-ctype >= 7.2.5-lp151.6.13.1
  • php7-ctype-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-curl >= 7.2.5-lp151.6.13.1
  • php7-curl-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-dba >= 7.2.5-lp151.6.13.1
  • php7-dba-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-debugsource >= 7.2.5-lp151.6.13.1
  • php7-devel >= 7.2.5-lp151.6.13.1
  • php7-dom >= 7.2.5-lp151.6.13.1
  • php7-dom-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-embed >= 7.2.5-lp151.6.13.1
  • php7-embed-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-enchant >= 7.2.5-lp151.6.13.1
  • php7-enchant-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-exif >= 7.2.5-lp151.6.13.1
  • php7-exif-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-fastcgi >= 7.2.5-lp151.6.13.1
  • php7-fastcgi-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-fileinfo >= 7.2.5-lp151.6.13.1
  • php7-fileinfo-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-firebird >= 7.2.5-lp151.6.13.1
  • php7-firebird-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-fpm >= 7.2.5-lp151.6.13.1
  • php7-fpm-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-ftp >= 7.2.5-lp151.6.13.1
  • php7-ftp-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-gd >= 7.2.5-lp151.6.13.1
  • php7-gd-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-gettext >= 7.2.5-lp151.6.13.1
  • php7-gettext-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-gmp >= 7.2.5-lp151.6.13.1
  • php7-gmp-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-iconv >= 7.2.5-lp151.6.13.1
  • php7-iconv-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-intl >= 7.2.5-lp151.6.13.1
  • php7-intl-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-json >= 7.2.5-lp151.6.13.1
  • php7-json-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-ldap >= 7.2.5-lp151.6.13.1
  • php7-ldap-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-mbstring >= 7.2.5-lp151.6.13.1
  • php7-mbstring-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-mysql >= 7.2.5-lp151.6.13.1
  • php7-mysql-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-odbc >= 7.2.5-lp151.6.13.1
  • php7-odbc-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-opcache >= 7.2.5-lp151.6.13.1
  • php7-opcache-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-openssl >= 7.2.5-lp151.6.13.1
  • php7-openssl-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-pcntl >= 7.2.5-lp151.6.13.1
  • php7-pcntl-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-pdo >= 7.2.5-lp151.6.13.1
  • php7-pdo-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-pear >= 7.2.5-lp151.6.13.1
  • php7-pear-Archive_Tar >= 7.2.5-lp151.6.13.1
  • php7-pgsql >= 7.2.5-lp151.6.13.1
  • php7-pgsql-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-phar >= 7.2.5-lp151.6.13.1
  • php7-phar-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-posix >= 7.2.5-lp151.6.13.1
  • php7-posix-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-readline >= 7.2.5-lp151.6.13.1
  • php7-readline-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-shmop >= 7.2.5-lp151.6.13.1
  • php7-shmop-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-snmp >= 7.2.5-lp151.6.13.1
  • php7-snmp-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-soap >= 7.2.5-lp151.6.13.1
  • php7-soap-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-sockets >= 7.2.5-lp151.6.13.1
  • php7-sockets-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-sodium >= 7.2.5-lp151.6.13.1
  • php7-sodium-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-sqlite >= 7.2.5-lp151.6.13.1
  • php7-sqlite-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-sysvmsg >= 7.2.5-lp151.6.13.1
  • php7-sysvmsg-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-sysvsem >= 7.2.5-lp151.6.13.1
  • php7-sysvsem-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-sysvshm >= 7.2.5-lp151.6.13.1
  • php7-sysvshm-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-test >= 7.2.5-lp151.6.13.1
  • php7-tidy >= 7.2.5-lp151.6.13.1
  • php7-tidy-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-tokenizer >= 7.2.5-lp151.6.13.1
  • php7-tokenizer-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-wddx >= 7.2.5-lp151.6.13.1
  • php7-wddx-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-xmlreader >= 7.2.5-lp151.6.13.1
  • php7-xmlreader-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-xmlrpc >= 7.2.5-lp151.6.13.1
  • php7-xmlrpc-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-xmlwriter >= 7.2.5-lp151.6.13.1
  • php7-xmlwriter-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-xsl >= 7.2.5-lp151.6.13.1
  • php7-xsl-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-zip >= 7.2.5-lp151.6.13.1
  • php7-zip-debuginfo >= 7.2.5-lp151.6.13.1
  • php7-zlib >= 7.2.5-lp151.6.13.1
  • php7-zlib-debuginfo >= 7.2.5-lp151.6.13.1
Patchnames:
openSUSE-2019-2441


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Module for Web and Scripting 12 php5 Unsupported
SUSE Linux Enterprise Module for Web and Scripting 12 php7 Released
SUSE Linux Enterprise Module for Web and Scripting 12 php72 Released
SUSE Linux Enterprise Module for Web and Scripting 15 php7 Released
SUSE Linux Enterprise SDK 11 GA php5 Not affected
SUSE Linux Enterprise SDK 11 SP1 php5 Not affected
SUSE Linux Enterprise SDK 11 SP2 php5 Not affected
SUSE Linux Enterprise SDK 11 SP2 php53 Unsupported
SUSE Linux Enterprise SDK 11 SP3 php53 Affected
SUSE Linux Enterprise SDK 11 SP4 php53 Affected
SUSE Linux Enterprise SDK 12 GA php5 Unsupported
SUSE Linux Enterprise SDK 12 GA php7 Affected
SUSE Linux Enterprise SDK 12 SP1 php5 Unsupported
SUSE Linux Enterprise SDK 12 SP1 php7 Affected
SUSE Linux Enterprise SDK 12 SP2 php5 Unsupported
SUSE Linux Enterprise SDK 12 SP2 php7 Affected
SUSE Linux Enterprise SDK 12 SP3 php5 Unsupported
SUSE Linux Enterprise SDK 12 SP3 php7 Affected
SUSE Linux Enterprise SDK 12 SP3 php72 Affected
SUSE Linux Enterprise SDK 12 SP4 php5 Unsupported
SUSE Linux Enterprise SDK 12 SP4 php7 Released
SUSE Linux Enterprise Server 10 SP3 php5 Not affected
SUSE Linux Enterprise Server 10 SP4 php5 Not affected
SUSE Linux Enterprise Server 10 SP4 LTSS php5 Not affected
SUSE Linux Enterprise Server 11 SP1 php5 Not affected
SUSE Linux Enterprise Server 11 SP1 LTSS php5 Not affected
SUSE Linux Enterprise Server 11 SP2 php5 Not affected
SUSE Linux Enterprise Server 11 SP2 php53 Unsupported
SUSE Linux Enterprise Server 11 SP2 LTSS php5 Not affected
SUSE Linux Enterprise Server 11 SP2 LTSS php53 Unsupported
SUSE Linux Enterprise Server 11 SP3 php53 Affected
SUSE Linux Enterprise Server 11 SP3 LTSS php53 Affected
SUSE Linux Enterprise Server 11 SP4 php53 Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 php5 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 php5 Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP2 php53 Unsupported
SUSE Linux Enterprise Server for SAP Applications 11 SP3 php53 Affected
SUSE Linux Enterprise Server for SAP ES 11 SP1 php5 Not affected
SUSE Linux Enterprise Server for VMWare 11 SP2 php5 Not affected
SUSE Linux Enterprise Server for VMWare 11 SP2 php53 Unsupported
SUSE Linux Enterprise Server for VMWare 11 SP3 php53 Affected